bugGNU MIX Development Kit - Bugs: bug #39817, Impossibility to compile GNU MDK...

 
 

bug #39817: Impossibility to compile GNU MDK with glib2 >= 2.35.6

Submitted by:  Ján Sučan <jansucan>
Submitted on:  Mon 19 Aug 2013 04:48:44 PM UTC  
 
Category: NoneSeverity: 3 - Normal
Item Group: NoneStatus: Fixed
Privacy: PublicAssigned to: Jose Antonio Ortega Ruiz <jao>
Open/Closed: Open

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Mon 06 Jan 2014 04:42:20 PM UTC, comment #5:

Thanks a lot for your help, Ján. I'll close the bug once version 1.2.8 is released.

Jose Antonio Ortega Ruiz <jao>
Project AdministratorIn charge of this item.
Mon 06 Jan 2014 03:33:17 PM UTC, comment #4:

I have successfully compiled the git version with glib2 2.36.4 (on Slackware64 14.1). I think that this bug report can be closed. Thank you for your work on GNU MDK.

Ján Sučan <jansucan>
Mon 06 Jan 2014 05:40:34 AM UTC, comment #3:

I've pushed a couple of patches that should fix this problem (by incorporating into mdk a version of the completion utilities). In case you find a minute to test the git version, please let me know if it doesn't work for you. Thanks!

Jose Antonio Ortega Ruiz <jao>
Project AdministratorIn charge of this item.
Thu 24 Oct 2013 06:02:53 PM UTC, comment #2:

Thanks for the report. Last time i checked, there were no plans for a g_completion replacement. As a first step, what i'll do is to just include the code for g_completion in MDK's source tree, taking it directly from glib 2.34.

Jose Antonio Ortega Ruiz <jao>
Project AdministratorIn charge of this item.
Mon 19 Aug 2013 05:29:08 PM UTC, comment #1:

g_completion API has been marked as deprecated (unmaintained), since this API is rarely used and it will probably be removed in the newer versions of glib2.

I didn't find any information about the suitable replacement of this API in glib2. Therefore, I think GNU MDK will have to include its own implementation of the completion mechanism or to use another library providing this functionality.

Ján Sučan <jansucan>
Mon 19 Aug 2013 04:48:44 PM UTC, original submission:

In glib2 >= 2.35.6 the gcompletion.h is conditionally included from glib.h and G_DISABLE_DEPRECATED is defined in configure.ac of GNU MDK. Therefore, compilation of GNU MDK terminates on error caused by missing definitions of functions/structures/types.

Ján Sučan <jansucan>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by jao (Posted a comment)
  • -unavailable- added by jansucan (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 4 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 06 Jan 2014 04:42:20 PM UTCjaoStatusReady For Test=>Fixed
    Mon 06 Jan 2014 05:40:34 AM UTCjaoStatusConfirmed=>Ready For Test
    Thu 24 Oct 2013 06:02:53 PM UTCjaoStatusNone=>Confirmed
      Assigned toNone=>jao

    Back to the top


    Powered by Savane 3.1-cleanup